Get X Audience Languages

46 endpoints • Base: https://openapi.scdata.cc

Endpoints

Returns the language distribution of a X creator's followers. Premium audience insight endpoint with a higher quota cost.

GET/api/v1/audience/x/language

Quota usage: Each successful request to this endpoint deducts 300 quota units from your plan.

Request Parameters

Required Parameters

NameInTypeDescription
usernamequerystringX handle(username)
example: nasa

Response Fields

NameTypeDescription
successbooleanSuccess
codeintegerCode
messagestringMessage
dataobjectData

Try It

https://openapi.scdata.cc/api/v1/audience/x/language
Select an API key from Dashboard
Add an API key before sending a request.Go to Dashboard

Query Params

username*

cURL Example

bash
curl -X GET "https://openapi.scdata.cc/api/v1/audience/x/language?username=nasa" \
-H "Authorization: YOUR_API_KEY"

Response Example (200 application/json)

json
{
"success": true,
"code": 200,
"message": "Request successful",
"data": {
"en": "71.01%",
"hi": "10.86%",
"es": "8.94%",
"pt": "5.17%",
"de": "4.02%"
}
}

Use Cases

  • Localised creative — Decide which language versions of a campaign asset each creator should use.
  • Diaspora reach — Find creators who reach a language community regardless of where they are based.

Related Endpoints